Module org.firebirdsql.jaybird
Package org.firebirdsql.extern.decimal

# Class DecimalOverflowException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.ArithmeticException
org.firebirdsql.extern.decimal.DecimalOverflowException

All Implemented Interfaces:
  `Serializable`

public final class DecimalOverflowException extends ArithmeticException
Exception thrown to indicate a coefficient or exponent overflow or underflow.

Author:
  Mark Rotteveel
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DecimalOverflowException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DecimalOverflowException

public DecimalOverflowException(String message)